Bug 624152 - ethtool command fails to get data on system using Marvell Technology Group Ltd. Yukon 88E8001 Gigabit Ethernet Controller
ethtool command fails to get data on system using Marvell Technology Group Lt...
Status: CLOSED WONTFIX
Product: Red Hat Enterprise Linux 4
Classification: Red Hat
Component: kernel (Show other bugs)
4.8
All Linux
low Severity medium
: rc
: ---
Assigned To: Andy Gospodarek
Red Hat Kernel QE team
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2010-08-13 16:36 EDT by PaulB
Modified: 2014-06-29 19:02 EDT (History)
8 users (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2011-08-15 14:46:23 EDT
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

  None (edit)
Description PaulB 2010-08-13 16:36:10 EDT
Description of problem:
#ethtool eth0
command fails to provide data on system using 
Marvell Technology Group Ltd. Yukon 88E8001 Gigabit Ethernet Controller

Version-Release number of selected component (if applicable):
# ethtool -v
ethtool version 6
Usage:
ethtool DEVNAME Display standard information about device

How reproducible:
Install host listed in comment#2 with RHEL4u8 base kernel or
kernel-2.6.9-89.30.EL and test #ethtool eth0

Steps to Reproduce:
1.Install host listed in comment#2 with RHEL4u8 base kernel or
kernel-2.6.9-89.30.EL
2.#ethtool eth0
  
Actual results:
# ethtool eth0
Settings for eth0:
No data available

Expected results:
This command should work.

Additional info:
# ethtool -v
ethtool version 6
<-SNIP->

# ethtool eth0
Settings for eth0:
No data available

# dmesg | grep eth0
divert: allocating divert_blk for eth0
eth0: Yukon Gigabit Ethernet 10/100/1000Base-T Adapter
eth0: network connection up using port A
eth0: no IPv6 routers present

#lspci
02:0b.0 Ethernet controller: Marvell Technology Group Ltd. 88E8001 Gigabit 
Ethernet Controller (rev 13)
<-SNIP->

More additional info:
I noticed issue while reviewing RHEL4 kernel tests for
kernel-2.6.9-89.30.EL.vgoyal.test2 here:
http://rhts.redhat.com/cgi-bin/rhts/jobs.cgi?id=170609

Then looked at executed test history of system and noticed this job using RHEL4u8 base:
http://rhts.redhat.com/cgi-bin/rhts/jobs.cgi?id=139241


Best,
-pbunyan
Comment 2 Vivek Goyal 2010-10-29 14:29:03 EDT
Andy, is there an update on this bz. Is it something important which should be fixed in rhel4.

Vivek
Comment 3 Andy Gospodarek 2011-08-15 14:46:23 EDT
This is probably not something worth fixing at this point.  Support for ethtool in sk98lin was added sometime after RHEL4 shipped, but apparently was never important enough for someone to request.

Note You need to log in before you can comment on or make changes to this bug.